Skip to main content
`Ctrl`+`K`
scipy.signal.

# hilbert2

scipy.signal.hilbert2(x, N=None)

  Compute the ‘2-D’ analytic signal of x

  Parameters:
    x array_like

      2-D signal data.

    N int or tuple of two ints, optional

      Number of Fourier components. Default is `x.shape`

  Returns:
    xa ndarray

      Analytic signal of x taken along axes (0,1).

  References

  [1]

  Wikipedia, “Analytic signal”, https://en.wikipedia.org/wiki/Analytic_signal